#!/bin/sh
#
#
# ngc1927 code
#
export PATH=$PATH:.:/var/bin
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:.:/var/lib

# tempo di attesa prima di controllare di nuovo
sleep1="10"
# tempo di attesa prima di ricontrollare (lancia la CAM di default e attende, altrimenti potrebbe lanciare 2 processi)
sleep2="30"

# ******************** DON'T CHANGE AFTER THIS ********************
cd /tmp/
while [ 1 ]
do
	# se non c'e' una cam attivata esce e basta.
	#[ ! -e /tmp/cam_active.sif ] && exit 0

	# legge qual'e' la cam attiva
	cam_attiva="`cat /var/etc/SifTeam/tmp/cam_active.sif`"
	# scrive in un file i processi attivi
	[ -e /tmp/controllo_ps ] && rm -f /tmp/controllo_ps
	controllo_ps="`ps axf > /tmp/controllo_ps`"
	# controlla se nei processi esiste la cam attiva
	controllo="`cat /tmp/controllo_ps | grep -c $cam_attiva`"

	# ..se non c'e' la avvia
	if [ "$controllo" == "0" ] ; then
		/var/bin/"$cam_attiva"_cam.sh start &
		# da' il tempo alla cam di partire ..altrimenti ne avvierebbe 2 :)
		sleep $sleep2
	else
		# attende prima di controllare di nuovo
		sleep $sleep1
	fi
done
